## guppy 0.1.9

=== debian/changelog ===
guppy (0.1.9-2ubuntu4) raring; urgency=low

  * No change rebuild for Python issue #17703, trashcan mechanism segfault 
    during interpreter finalization

 -- Matthias Klose <doko@ubuntu.com>  Wed, 17 Apr 2013 23:51:09 +0200

guppy (0.1.9-2ubuntu3) precise; urgency=low

  * Rebuild to drop python2.6 dependencies and provides.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 14 Apr 2012 13:42:41 +0000

guppy (0.1.9-2ubuntu2) oneiric; urgency=low

  * Disable tests which are incompatible with Python 2.7 on amd64.
    (LP: #770882)

 -- Barry Warsaw <barry@ubuntu.com>  Mon, 12 Sep 2011 18:14:03 -0400

guppy (0.1.9-2ubuntu1) natty; urgency=low

  * Unreleased upstream changes to support Python 2.7.  (LP: #685127)

    2010-06-08  Sverker Nilsson  <sverker@sverker-laptop>

	    * guppy/heapy/test/test_Part.py (MixedCase.test_1): Changed the
	    test result if sys.version >= 2.7; because the size of strings
	    was optimized 8 bytes. (How ? )

	    * src/sets/bitset.c (mutbitset_iop_PyLongObject): Used
	    _PyLong_Frexp instead of _PyLong_AsScaledDouble if
	    PY_VERSION_HEX >= 0x02070000 . (_PyLong_AsScaledDouble disappeared
	    but I think I should complain, couldn't figure out how to add an
	    issue with the tracker.)

    2010-02-16  Sverker Nilsson  <sverker@sverker-laptop>

	    * guppy/sets/test.py (Test.test16.tsv): Expected OverflowError
	    instead of ValueError, an inconsequential change to do with
	    possiboe test error reporting.

 -- Barry Warsaw <barry@ubuntu.com>  Mon, 06 Dec 2010 18:14:02 -0500

guppy (0.1.9-2build1) natty; urgency=low

  * Rebuild to add support for python 2.7.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 03 Dec 2010 00:01:18 +0000

guppy (0.1.9-2) unstable; urgency=low

  * Boosted policy compliance to 3.8.4.0 -- no changes seems to be due.

  * Incorporated tentative upstream fix to make heapy compatible with
    big-endian architectures (Closes: #544767).

 -- Yaroslav Halchenko <debian@onerussian.com>  Sat, 13 Feb 2010 22:10:34 -0500

guppy (0.1.9-1) unstable; urgency=low

  * Initial release (Closes: #409740)

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 15 Jun 2009 20:44:25 -0400
