=== debian/control ===
Source: guppy
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Yaroslav Halchenko <debian@onerussian.com>
Build-Depends: debhelper (>= 5.0.38), python-all-dev (>=2.3.5-11), python-all-dbg (>=2.3.5-11), python-support (>=0.6), cdbs
Standards-Version: 3.8.4.0
Vcs-Browser: http://git.onerussian.com/?p=deb/guppy.git
Vcs-Git: git://git.onerussian.com/deb/guppy.git
Homepage: http://guppy-pe.sourceforge.net


Package: python-guppy
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, python-guppy-lib (>= ${source:Version})
Provides: ${python:Provides}
XB-Python-Version: ${python:Versions}
Description: Python programming environment Guppy-PE
 Guppy-PE is a programming environment providing object and heap
 memory sizing, profiling and analysis. It includes a prototypical
 specification language that can be used to formally specify aspects of
 Python programs and generate tests and documentation from a common
 source.
 .
 Modules which constitute the environment:
  - Heapy: debugging and optimization regarding memory related issues
    in Python programs
  - GSL (Guppy Specification Language): describes aspects of a system,
    especially its API, in a way that can be automatically converted
    to tests as well as to documents
  - Guppy: umbrella package combining Heapy and GSL with support
    utilities such as the Glue module that keeps things together

Package: python-guppy-lib
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}
Provides: ${python:Provides}
Suggests: python-guppy-lib-dbg
XB-Python-Version: ${python:Versions}
Description: Dynamic libraries for Guppy-PE
 This package contains dynamic architecuture-dependent libraries for
 Guppy-PE Python programming environment which is shipped within
 python-guppy package.

Package: python-guppy-lib-dbg
Architecture: any
Section: debug
Priority: extra
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, python-dbg, python-guppy-lib (= ${binary:Version})
Provides: ${python:Provides}
XB-Python-Version: ${python:Versions}
Description: Debug Build of Dynamic libraries for Guppy-PE
 This package contains unstripped and built with python-dbg dynamic
 architecuture-dependent libraries for Guppy-PE Python programming
 environment.
