=== debian/watch ===
# Compulsory line, this is a version 3 file
version=3
http://guppy-pe.sourceforge.net/ guppy-(.*)\.tar\.gz svn-upgrade
